import os
import pickle 
mnoz1={'pen','book','pen','iPhone','table','book'}
sps3=[['Иванов И.',1],['Петров П.',2],['Сидоров С.',3]]
fp=open(os.path.dirname(os.path.abspath("report.md")) + '/TEMA6/zapis6.mnz','rb')
fp=open(os.path.dirname(os.path.abspath("report.md")) + '/TEMA6/zapis7.2ob','wb')
pickle.dump(mnoz1,fp)
pickle.dump(sps3,fp)
fp.close()
fp=open(os.path.dirname(os.path.abspath("report.md")) + '/TEMA6/zapis7.2ob','rb')
obj1=pickle.load(fp)  #Первое обращение к load читает первый объект
obj2=pickle.load(fp)  #Второе – читает второй
fp.close()
print(obj1)
print(obj2)